Keystone Developers
Open Keystone
API reference

Agent API

Business

2 endpoints.

GET/api/v1/agent/businesses/{business_id}

Get business details (agent)

Parameters

NameInTypeDescription
business_idrequiredpathstring (uuid)
x-internal-api-keyheaderstring | null

Responses

200Successful Response
application/jsonSuccessResponse_BusinessProfileData_
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredBusinessProfileData
BusinessProfileData fields
FieldTypeDescription
idrequiredstring
company_namestring | null
year_foundedinteger | null
website_urlstring | null
taglinestring | null
addressAddress | null
Address fields
FieldTypeDescription
line1string | null
line2string | null
citystring | null
statestring | null
zip_codestring | null
countrystring | null
descriptionsDescriptions | null
Descriptions fields
FieldTypeDescription
company_descriptionstring | null
aboutstring | null
mission_statementstring | null
valuesstring[]
string[] fields

Nested object (not expanded)

contact_infoContactInfo | null
ContactInfo fields
FieldTypeDescription
primary_phonestring | null
primary_emailstring | null
support_emailstring | null
sales_emailstring | null
external_management_urlstring | null
social_profilesSocialProfiles | null
SocialProfiles fields
FieldTypeDescription
facebookstring | null
instagramstring | null
twitterstring | null
linkedinstring | null
youtubestring | null
tiktokstring | null
google_my_businessstring | null
pintereststring | null
yelpstring | null
tripadvisorstring | null
google_reviewstring | null
industriesBusinessIndustries | null
BusinessIndustries fields
FieldTypeDescription
primarystring | null
secondarystring[]max items 5
string[] fields

Nested object (not expanded)

terms_of_service_markdownstring | null
privacy_policy_markdownstring | null
is_activebooleandefault true
timezonestringdefault "America/New_York"
timezone_sourcestringdefault "default"
created_atinteger | null
metadataResponseMetadata | null
ResponseMetadata fields
FieldTypeDescription
paginationPaginationMetadata | null
PaginationMetadata fields
FieldTypeDescription
limitrequiredinteger
next_cursorstring | null
prev_cursorstring | null
has_morerequiredboolean
has_prevbooleandefault false
total_countinteger | null
status_countsobject | null
object | null fields

Map of string to integer

lifecycle_countsLifecycleCounts | null
LifecycleCounts fields
FieldTypeDescription
leadintegerdefault 0
prospectintegerdefault 0
customerintegerdefault 0
former_customerintegerdefault 0
classification_countsClassificationCounts | null
ClassificationCounts fields
FieldTypeDescription
signalobject
object fields

Nested object (not expanded)

touchobject
object fields

Nested object (not expanded)

stageobject
object fields

Nested object (not expanded)

metaResponseMeta | null
ResponseMeta fields
FieldTypeDescription
totalinteger | null
total_countinteger | null
pageinteger | null
per_pageinteger | null
  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.

PATCH/api/v1/agent/businesses/{business_id}

Update business profile (agent)

Parameters

NameInTypeDescription
business_idrequiredpathstring (uuid)
x-internal-api-keyheaderstring | null

Request bodyrequired

application/jsonBusinessUpdateBody
FieldTypeDescription
company_namestring | null
year_foundedinteger | null
website_urlstring | null
taglinestring | null
addressAddress | null
Address fields

Address, expanded above.

descriptionsDescriptions | null
Descriptions fields

Descriptions, expanded above.

contact_infoContactInfo | null
ContactInfo fields

ContactInfo, expanded above.

social_profilesSocialProfiles | null
SocialProfiles fields

SocialProfiles, expanded above.

industriesBusinessIndustries | null
BusinessIndustries fields

BusinessIndustries, expanded above.

terms_of_service_markdownstring | null
privacy_policy_markdownstring | null
is_activeboolean | null
timezonestring | null

Responses

200Successful Response
application/jsonSuccessResponse_BusinessProfileData_
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredBusinessProfileData
BusinessProfileData fields

BusinessProfileData, expanded above.

metadataResponseMetadata | null
ResponseMetadata fields

ResponseMetadata, expanded above.

metaResponseMeta | null
ResponseMeta fields

ResponseMeta, expanded above.

  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.